/******************************************************************************/
/* Filename:HY2613.h                                                          */
/* HY2613 Register Definitions                                                */
/******************************************************************************/

//HY2613 Slave Address
#define  HY2613_Slave_addr 0x7c

//Register List
#define  MODE_SET 0xC0 //Mode Set
         #define  Dis_ON 0x08 //Display ON
         #define  Bias3  0x00 //1/3 Bias
         #define  Bias2  0x04 //1/2 Bias

#define  ADSET 0x00    //Address set

#define  DISCTL 0xA0   //Display control
         //Power save mode FR
         #define  PoNormalF 0x00 //Normal mode
         #define  PoMode1  0x08 //Power save mode1
         #define  PoMode2  0x10 //Power save mode2
         #define  PoMode3  0x18 //Power save mode3

         #define  LiInv    0x00 //LINE Inversion
         #define  FrInv    0x04 //FRAME Inversion

         //Power save mode SR
         #define  PoSvMode1 0x00 //Power save mode 1
         #define  PoSvMode2 0x01 //Power save mode 2
         #define  PoNormalS  0x02 //Normal
         #define  PoHigh    0x03 //High Power Mode

#define  ICSET 0xE8   //Set IC Operation
         #define  SWRst 0x02 //Software Reset

         #define  OscModeInt 0x00 //Internal Oscillator
         #define  OscModeExt 0x01 //External Oscillator

#define  BLKCTL 0xF0  //Blink control
         //Flash Mode Setting
         #define  FlashOff 0x00 //Off Flash Mode
         #define  Flash0p5 0x01 //Flash 0.5HZ
         #define  Flash1   0x02 //Flash 1HZ
         #define  Flash2   0x03 //Flash 2HZ

#define  PIXCTL 0xFC  //ALL pixel control
         #define  PixNormal   0x00
         #define  PixAllOff   0x01  //All pixels OFFGPDDRAM eLܡC
         #define  PixAllOn    0x02  //All pixels ONGIGPDDRAM eLܡC
         //#define  PixAllOff   0x03

#define  EXCTL 0xE0  //Extend Control
         #define  LightOff 0x00  //LEDI OFF:ҥLEDI\
         #define  LightOn  0x04  //LEDI ON:ҥLEDI\ASEG32~SEG35 ۰ʤLEDXʹq

         #define  RTCOff   0x00  //RTC OFF:~32KHzJC
         #define  RTCOn    0x02  //RTC ON:ϥΥ~_32.768KHzC

         #define  SROff    0x00  //SROFF:ҥίSȦs\
         #define  SROn     0x01  //SRON:ҥίSȦs\

//Extend Control Register
#define  VLCD_CTVR 0x00  //
         //VLCD[3:0] Internal Charge pump output control register can configure VLCD output voltage.
         #define  VLCD4p5  0x00  //0000 4.5V
         #define  VLCD4p4  0x10  //0001 4.4V
         #define  VLCD4p3  0x20  //0010 4.3V
         #define  VLCD4p2  0x30  //0011 4.2V
         #define  VLCD4p1  0x40  //0100 4.1V
         #define  VLCD4p0  0x50  //0101 4.0V
         #define  VLCD3p9  0x60  //0110 3.9V
         #define  VLCD3p8  0x70  //0111 3.8V
         #define  VLCD3p7  0x80  //1000 3.7V
         #define  VLCD3p6  0x90  //1001 3.6V
         #define  VLCD3p5  0xA0  //1010 3.5V
         #define  VLCD3p4  0xB0  //1011 3.4V
         #define  VLCD3p3  0xC0  //1100 3.3V
         #define  VLCD3p2  0xD0  //1101 3.2V
         #define  VLCD3p1  0xE0  //1110 3.1V
         #define  VLCD3p0  0xF0  //1111 3.0V

         //CTVR[3:0] Internal constrast control register can adjust LCD display contrast for the best display effect. 
         #define  CTVR00  0x00  //0000 1*VLCD
         #define  CTVR01  0x01  //0001 0.957*VLCD
         #define  CTVR02  0x02  //0010 0.918*VLCD
         #define  CTVR03  0x03  //0011 0.882*VLCD
         #define  CTVR04  0x04  //0100 0.849*VLCD
         #define  CTVR05  0x05  //0101 0.818*VLCD
         #define  CTVR06  0x06  //0110 0.789*VLCD
         #define  CTVR07  0x07  //0111 0.763*VLCD
         #define  CTVR08  0x08  //1000 0.738*VLCD
         #define  CTVR09  0x09  //1001 0.714*VLCD
         #define  CTVR10  0x0A  //1010 0.692*VLCD
         #define  CTVR11  0x0B  //1011 0.672*VLCD
         #define  CTVR12  0x0C  //1100 0.652*VLCD
         #define  CTVR13  0x0D  //1101 0.634*VLCD
         #define  CTVR14  0x0E  //1110 0.616*VLCD
         #define  CTVR15  0x0F  //1111 0.600*VLCD

#define  LCDM 0x02  //
         #define  ENBUF     0x80  //VLCD Buffer enable bit
         
         //VLCDEN[1:0] VLCD power drive controller can select VLCD disposition to satisfy different applications. 
         #define  VLCDEN00  0x00  //00 VLCDsVSS,ĥLow Sides覡
         #define  VLCDEN01  0x01  //01 VLCDsVDD,ĥHigh Sides覡
         #define  VLCDEN02  0x02  //10 VLCDqѤq,ϥΤqAYĥHigh Sides覡
         #define  VLCDEN03  0x03  //11 VLCDqѤq,ϥΤqAYĥHigh Sides覡

#define  TM 0x04  //
         #define  IRQM  0x80

         //TMD[2:0] Counter frequency divider control register, which can configure counter output frequency. 
         #define  TMD0  0x00  //000  OSC_CK2
         #define  TMD1  0x10  //001  OSC_CK4
         #define  TMD2  0x20  //010  OSC_CK8
         #define  TMD3  0x30  //011  OSC_CK16
         #define  TMD4  0x40  //100  OSC_CK32
         #define  TMD5  0x50  //101  OSC_CK64
         #define  TMD6  0x60  //110  OSC_CK128
         #define  TMD7  0x70  //111  OSC_CK256

         //TMEN[1:0] Counter enable and mode control register
         #define  TMEN0 0x00  //00  Tέpƾ
         #define  TMEN1 0x02  //01  Ppƾó]mTimer BaseX
         #define  TMEN2 0x04  //10  Ppƾó]mNMI ߽İqX
         #define  TMEN3 0x06  //11  Ppƾó]mNMI ߽ħCqX

         //TMCR:Counter zero control register.
         #define  TMCR 0x00  //0:Normal counting status 
                             //1:Counter Zero

unsigned char Displaybuffer[20];

void Ini_Display(void);
void RAM2LCD(unsigned char *Buffer_Adr, unsigned int length);
void ClearLCDframe(void);
void DisplayHYcon(void);

