/*******************************************************************************
 * DrvSWI2C.c
 * -----------------------------------------------------------------------------
 * Copyright 2012 Hycon Technology, Corp.
 * http://www.hycontek.com/
 *
 * Release 1.0
 *     13/08/2012
 *
 * Program Description:
 * --------------------
 * Software I2C
 * ---------                              
 *          | 
 *    PTx.n | SD
 *    PTy.m | SCK
 *     GND  |
 *          |
 * ---------
 * 
 ******************************************************************************/

/*----------------------------------------------------------------------------*/
/* Includes                                                                    */
/*----------------------------------------------------------------------------*/
#include "HY16F188.h"
#include "DrvHWI2C.h"
#include "DrvGPIO.h"
#include "DrvI2C.h"
#include "DrvREG32.h"
#include "my define.h"

/*--------------------------------------------------------------------*/
/* Hardware I2C Initial                                               */
/*--------------------------------------------------------------------*/
void InitalI2C(void)
{
  DrvGPIO_Open(IIC_PORT,SDA_BIT|SCL_BIT,E_IO_OUTPUT);  //Set SDA/SCL Pin Output Port
  DrvI2C_SetIOPin(3);  //setting io pin, 3 SCL=PT1.6;SDA=PT1.7

  //DrvI2C_Open(100); /* ϯI2CA]mCRG =100 */
  i2c_00=0xFF00FF00;  //0x41000//I2C OFF
  i2c_14=0x0000FFFF;  //0x41014//TX Buffer
  i2c_08=0xFF800000;  //0x41008//I2C Clock//Time-Out Control
  i2c_00=0xFF00FF01;  //0x41000//OK I2C Enable
  i2c_08=0xFF040000;  //0x41008//I2C Clock//Time-Out Control

  DrvI2C_EnableInt(2);  /* Enable I2C interrupt and error interrupt */
}
